<?php
// Copyright 1999-2024. WebPros International GmbH. All rights reserved.
$messages = [
    'title' => '網站日誌檢查',

    'regularCheck' => '自動檢查',
    'manualCheck' => '手動檢查',

    'promoTitle' => '快速檢測網站存在的不可用或不正常運行的地方',
    'promoDescription' => '網站問題通常訪問者可見，但管理員看不到，除非他們經常分析網站日誌。我們全新的網站日誌檢查會自動化這一流程，並説明有效解決發現的問題。',
    'promoMore' => '瞭解更多',
    'promoButton' => '知道了！',
    'checkEnabledTitle' => '自動檢查開啟',
    'checkDisabledTitle' => '自動檢查關閉',
    'disabledDescription' => '啟用以自動檢測可能導致網站不可用或導致其錯誤操作的問題。',
    'websitesAllChecked' => '{count, plural, other {# 個網站}}進行每日檢查。',
    'websitesAllCheckedAt' => '{count, plural, other {# 個網站}}於 %%time%% 時進行每日檢查。',
    'websitesChecked' => '%%count%%（共計 %%totalCount%%）個網站進行每日檢查',
    'websitesCheckedAt' => '%%count%%（共計 %%totalCount%%）個網站在%%time%%進行每日檢查',
    'checkedWebsites' => '已檢查的網站列表',
    'lastCheckDescription' => '上次檢查花費了%%duration%%分鐘。',
    'durationLess' => '小於 0.1',
    'month0' => '一月 %%date%%',
    'month1' => '二月 %%date%%',
    'month2' => '三月 %%date%%',
    'month3' => '四月 %%date%%',
    'month4' => '五月 %%date%%',
    'month5' => '六月 %%date%%',
    'month6' => '七月 %%date%%',
    'month7' => '八月 %%date%%',
    'month8' => '九月 %%date%%',
    'month9' => '十月 %%date%%',
    'month10' => '十一月 %%date%%',
    'month11' => '十二月 %%date%%',
    'export' => '匯出報告到CSV',
    'buttonRun' => '運行手動檢查',
    'buttonRunDescription' => '重新檢查已修復的網站或發現在上次檢查中沒有出現的問題。',

    'websites.title' => '要檢查的網站',
    'websites.description' => '選定%%selected%%（共計%%total%%）個網站',
    'websites.search' => '查找網站...',
    'websites.new' => '所有新創建的網站',
    'websites.newHint' => '選擇以自動開始檢查所有新的網站。',
    'websites.existing' => '所有現有網站',
    'websites.buttonSave' => '保存',
    'websites.buttonCancel' => '取消',
    'websites.updateSuccess' => '設定已更新',

    'tabs.problemDetails' => '問題詳情',
    'tabs.affectedWebsites' => '受影響網站',

    'chart.requests' => '請求',
    'chart.errors' => '錯誤',

    'affected-websites.selected' => '選定%%selectedCount%%（共計%%totalCount%%）個網站',
    'affected-websites.none' => '無',
    'affected-websites.all' => '所有',
    'affected-websites.searchForWebsite' => '搜尋網站',
    'affected-websites.websites' => '網站',
    'affected-websites.showProblemDetails' => '顯示問題詳情',

    'problem-report.domainTitle' => '%%domain%%上已報告的問題',
    'problem-report.cumulativeTitle' => '{count, plural, other {# 個網站}}上已報告的問題',
    'problem-report.serverwideTitle' => '已報告的伺服器範圍的問題',
    'problem-report.problemAppearsOn' => '共計在{count, plural, other {# 個網站}}上出現問題',
    'problem-report.seeTheConsolidatedReport' => '查看合併報告',
    'problem-report.cause' => '根源',
    'problem-report.possibleSolutions' => '可能的解決方案',
    'problem-report.useAnOption' => '使用可實現自動化解決方案的選項',
    'problem-report.repairTheWebsite' => '修復網站',
    'problem-report.selectAndRepair' => '選擇並修復幾個網站',
    'problem-report.distributionOfTheProblem' => '問題隨時間變化的分佈情況',
    'problem-report.serverTimezone' => '伺服器時區 (UTC%%utcShift%%)',
    'problem-report.yourTimezone' => '您的時區 (UTC%%utcShift%%)',
    'problem-report.logEntries' => '指示此問題的日誌條目示例',
    'problem-report.pleaseKeepInMind' => '注意：Plesk不斷地迴圈日誌，並最終將存檔或刪除上述日誌條目。',
    'problem-report.weRecommendToRecheck' => '%%recheckWebsite%%—我們建議在每次修復嘗試後都使用。',
    'problem-report.recheckWebsite' => '手動重新檢查網站',
    'problem-report.option' => '選項 %%number%%：',
    'problem-report.recommended' => '推薦',
    'problem-report.numberOfEntries' => '條目數',
    'problem-report.logEntry' => '日誌條目',
    'problem-report.logFile' => '日誌檔',
    'problem-report.openWebsiteLogs' => '打開網站日誌',
    'problem-report.thisIsServerWideProblem' => '這是影響所有託管網站的伺服器範圍的問題',
    'problem-report.serverWideTitle' => '已報告的伺服器範圍的問題',
    'problem-report.checkDetectedIssue' => '檢查已檢測到該問題（伺服器時區 - UTC%%timezone%%）：',
    'problem-report.todayAt' => '今日 %%time%%',
    'problem-report.yesterdayAt' => '昨日 %%time%%',
    'problem-report.dateAt' => '%%date%% %%time%%',
    'problem-report.firstProblemTime' => '首次 - %%info%%',
    'problem-report.lastProblemTime' => '末次 - %%info%%',

    'distribution-over-time.title' => '問題隨時間變化的分佈情況',
    'distribution-over-time.titleYesterday' => '問題隨時間變化的分佈情況（昨日）',
    'distribution-over-time.titleToday' => '問題隨時間變化的分佈情況（今日）',
    'distribution-over-time.serverTimezone' => '伺服器時區 (UTC%%utcShift%%)',
    'distribution-over-time.yourTimezone' => '您的時區 (UTC%%utcShift%%)',
    'distribution-over-time.weRecomendComparing' => '我們建議將錯誤分佈圖與Monitoring中%%link%%進行比較',
    'distribution-over-time.resourceUsageCharts' => '資源使用圖',
    'distribution-over-time.noDataForRecentTime' => '沒有近期的資料。%%suggestion%%',
    'distribution-over-time.pleseEnableRegularCheck' => '啟用自動檢查或手動檢查網站',
    'distribution-over-time.pleseIncludeWebsiteForCheck' => '將網站添加到自動檢查或手動檢查網站的列表中',
    'distribution-over-time.pleaseWaitUntilRegularCheckWillBeStarted' => '等候直到自動檢查開始或進行手動檢查網站',
    'distribution-over-time.enableRegularCheck' => '啟用自動檢查',
    'distribution-over-time.addWebsiteToRegularCheckList' => '將網站添加到自動檢查的列表中',
    'distribution-over-time.runManualCheck' => '運行手動檢查',

    'report.title' => '關於上次檢查的報告',
    'report.groupByWebsites' => '按網站分組',
    'report.groupByProblems' => '按問題',
    'report.columnWebsite' => '網站',
    'report.columnStatus' => '問題',
    'report.columnProblem' => '問題',
    'report.columnAppearedOn' => '檢測於',
    'report.serverWideName' => '伺服器範圍的問題',
    'report.serverWideDescription' => '這些問題會影響整個伺服器及其託管的網站。',
    'report.statusProblemsFound' => '找到 %%count%%',
    'report.statusProblemsFoundFull' => '找到{count, plural, other {# 個問題}}',
    'report.statusProblemsSolved' => '消失 %%count%%',
    'report.statusProblemsSolvedFull' => '{count, plural, other {# 個問題}} 消失',
    'report.statusSuccess' => '無問題',
    'report.serverWide' => '整個伺服器',
    'report.appearedOn' => '{count, plural, other {# 個網站}}',
    'report.recheckWebsite' => '重新檢查網站',
    'report.actionOpen' => '打開',
    'report.actionManage' => '管理',
    'report.actionLogs' => '查看日誌',
    'report.searchWebsite' => '查找網站...',
    'report.searchProblem' => '查找問題......',
    'report.groupByProblemsTotal' => '在 {websitesCount, plural, other {# 個網站}} 上 {totalRows, plural, other {# 個問題}}',
    'report.noProblemsTitle' => '在 {websitesCount, plural, other {# 個網站}}上未找到問題',
    'report.noProblemsDescription' => '看起來您的網站保持了良好的狀態。做得不錯！',

    'problems.columnTitle' => '問題',
    'problems.columnRegular' => '自動檢查',
    'problems.columnManual' => '手動檢查',
    'problems.run' => '%%fromTime%% %%fromDate%% - %%toTime%% %%toDate%%',
    'problems.runSameDay' => '%%fromTime%% - %%toTime%% %%toDate%%',
    'problems.notRun' => '尚未執行',
    'problems.resultDetected' => '檢測到',
    'problems.resultNotDetected' => '未檢測到',
    'problems.resultNoProblems' => '無問題',

    'new-check.title' => '手動檢查',
    'new-check.titleForWebsite' => '手動檢查 %%website%%',
    'new-check.titleRunning' => '手動檢查 {count, plural, other {# 個網站}}',
    'new-check.description' => '選定%%selected%%（共計%%total%%）個網站',
    'new-check.depth' => '檢查時段',
    'new-check.checkTheLast' => '檢查最後一個',
    'new-check.selectHours' => '小時',
    'new-check.selectMinutes' => '分鐘',
    'new-check.ifYouHaveAnyProblemActivities' => '如果您試圖修復網站問題，請設置此嘗試之後的時間段。否則，Plesk就可以檢測到您已經解決的問題。',
    'new-check.weAlsoRecommendVisiting' => '在運行手動檢查之前，我們建議您 %%visitingTheWebsite%%，並嘗試複製該問題。',
    'new-check.visitingTheWebsite' => '存取網站',
    'new-check.hours' => '最後幾個小時',
    'new-check.websites' => '要檢查的網站',
    'new-check.buttonSave' => '檢查',
    'new-check.buttonCancel' => '取消',
    'new-check.search' => '查找網站...',
    'new-check.checkProblems' => '網站在上次檢查期間的問題',
    'new-check.allWebsites' => '所有網站',
];